CREATE DATABASE PROVATAFODAKK;
USE PROVATAFODAKK;

---------------------------------------------------------------------------------------------------------------------------------------------------------

CREATE TABLE GENERO(
ID INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
NOME VARCHAR(400) NOT NULL);

CREATE TABLE ATOR(
ID INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
PRIMEIRO_NOME VARCHAR(400) NOT NULL,
ULTIMO_NOME VARCHAR(400) NOT NULL,
LOCAL_NASCIMENTO VARCHAR(400),
DATA_ANIVERSARIO DATE NOT NULL);

CREATE TABLE DIRETOR(
ID INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
PRIMEIRO_NOME VARCHAR(400) NOT NULL,
ULTIMO_NOME VARCHAR(400) NOT NULL,
LOCAL_NASCIMENTO VARCHAR(400),
DATA_ANIVERSARIO DATE NOT NULL);

CREATE TABLE FILME(
ID INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
TITULO VARCHAR(400) NOT NULL,
LANCAMENTO INT NOT NULL,
AVALIACAO INT NOT NULL,
DURACAO INT NOT NULL);

---------------------------------------------------------------------------------------------------------------------------------------------------------

SELECT * FROM GENERO;
SELECT * FROM ATOR;
SELECT * FROM DIRETOR;
SELECT * FROM FILME;

---------------------------------------------------------------------------------------------------------------------------------------------------------

INSERT INTO GENERO (ID, NOME) VALUES ( 1 , 'HORROR');
INSERT INTO GENERO (ID, NOME) VALUES ( 2 , 'TERROR');
INSERT INTO GENERO (ID, NOME) VALUES ( 3 , 'SUSPENSE');
INSERT INTO GENERO (ID, NOME) VALUES ( 4 , 'DRAMA');
INSERT INTO GENERO (ID, NOME) VALUES ( 5 , 'CIENTIFICO');

---------------------------------------------------------------------------------------------------------------------------------------------------------

INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 1 , 'MARCELO' , 'PETRUCI' , 'BRASIL' , '1998-04-16');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 2 , 'MARTA' , 'CANDIDO' , 'BRASIL' , '1979-03-21');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 3 , 'BRIAN' , 'HENRIQUE' , 'BRASIL' , '2016-02-21');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 4 , 'CAROLINE' , 'FERREIRA' , 'BRASIL' , '1996-08-21');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 5 , 'ZED' , 'SOMBRIO' , 'ESTADOS UNIDOS' , '1998-04-16');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 6 , 'JAX' , 'POSTEIRO' , 'ESTADOS UNIDOS' , '1998-04-16');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 7 , 'AKALI' , 'QUEEN' , 'ESTADOS UNIDOS' , '1998-04-16');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 8 , 'CAITLYN' , 'MIROSA' , 'ESTADOS UNIDOS' , '1998-04-16');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 9 , 'APHELIOS' , 'ABUSIVO' , 'ESTADOS UNIDOS' , '1998-04-16');
INSERT INTO ATOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 10 , 'RAKAN' , 'CORRENDO' , 'ESTADOS UNIDOS' , '1998-04-16');

---------------------------------------------------------------------------------------------------------------------------------------------------------

INSERT INTO DIRETOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 1 , 'MK' , 'PETRUCI' , 'BRASIL' , '1998-04-16');
INSERT INTO DIRETOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 2 , 'BK' , 'FETAO' , 'BRASIL' , '1995-07-27');
INSERT INTO DIRETOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 3 , 'DK' , 'ASSASSINO' , 'BRASIL' , '1993-09-23');
INSERT INTO DIRETOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 4 , 'PK' , 'DELAS' , 'BRASIL' , '1998-08-21');
INSERT INTO DIRETOR (ID, PRIMEIRO_NOME, ULTIMO_NOME, LOCAL_NASCIMENTO, DATA_ANIVERSARIO) VALUES ( 5 , 'PTK' , 'GOLFISTA' , 'BRASIL' , '1998-02-19');

---------------------------------------------------------------------------------------------------------------------------------------------------------

INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 1, 'ZED THE MASTER OF SHADOWS' , 2015 , 5.0 , 257.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 2, 'ZED FEEDADO' , 2016 , 5.0 , 258.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 3, 'ZED O RETORNO' , 2017 , 5.0 , 259.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 4, 'ZED SEM UTI' , 2018 , 4.0 , 260.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 5, 'JAX POSTEIRO KKK' , 2019 , 5.0 , 261.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 6, 'ZED VS YASUO' , 2020 , 5.0 , 237.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 7, 'YASUO FEEDER' , 2013 , 2.0 , 247.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 8, 'YASUO BAIANO' , 2015 , 4.0 , 244.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 9, 'NAO BAN ZED' , 2015 , 5.0 , 257.00);
INSERT INTO FILME (ID, TITULO, LANCAMENTO, AVALIACAO, DURACAO) VALUES ( 10, 'ZED WIN' , 2020 , 5.0 , 257.00);

---------------------------------------------------------------------------------------------------------------------------------------------------------

UPDATE ATOR SET PRIMEIRO_NOME = 'CATHERINE' , ULTIMO_NOME = 'ZETAJONES' , LOCAL_NASCIMENTO = 'INGLATERRA' , DATA_ANIVERSARIO = '1969-09-25' WHERE ID = 1;
UPDATE ATOR SET PRIMEIRO_NOME = 'MARK' , ULTIMO_NOME = 'HAMILL' , LOCAL_NASCIMENTO = 'ESTADOS UNIDOS' , DATA_ANIVERSARIO = '1951-09-21' WHERE ID = 2;
UPDATE ATOR SET PRIMEIRO_NOME = 'CARRIE' , ULTIMO_NOME = 'FISHER' , LOCAL_NASCIMENTO = 'ESTADOS UNIDOS' , DATA_ANIVERSARIO = '1956-08-21' WHERE ID = 3;
UPDATE ATOR SET PRIMEIRO_NOME = 'CHRISTIAN' , ULTIMO_NOME = 'BALE' , LOCAL_NASCIMENTO = 'REINO UNIDO' , DATA_ANIVERSARIO = '1974-01-30' WHERE ID = 4;
UPDATE ATOR SET PRIMEIRO_NOME = 'ANTONIO' , ULTIMO_NOME = 'BANDEIRAS' , LOCAL_NASCIMENTO = 'ESPANHA' , DATA_ANIVERSARIO = '1960-06-10' WHERE ID = 5;
UPDATE ATOR SET PRIMEIRO_NOME = 'KATIE' , ULTIMO_NOME = 'HOLMES' , LOCAL_NASCIMENTO = 'ESTADOS UNIDOS' , DATA_ANIVERSARIO = '1978-10-18' WHERE ID = 6;
UPDATE ATOR SET PRIMEIRO_NOME = 'MICHAEL' , ULTIMO_NOME = 'CAINE' , LOCAL_NASCIMENTO = 'REINO UNIDO' , DATA_ANIVERSARIO = '1933-03-14' WHERE ID = 7;
UPDATE ATOR SET PRIMEIRO_NOME = 'ANTHONY' , ULTIMO_NOME = 'HOPKINS' , LOCAL_NASCIMENTO = 'REINO UNIDO' , DATA_ANIVERSARIO = '1937-10-31' WHERE ID = 8;
UPDATE ATOR SET PRIMEIRO_NOME = 'HARRISON' , ULTIMO_NOME = 'FORD' , LOCAL_NASCIMENTO = 'ESTADOS UNIDOS' , DATA_ANIVERSARIO = '1942-07-13' WHERE ID = 9;
UPDATE ATOR SET PRIMEIRO_NOME = 'TOM' , ULTIMO_NOME = 'CRUISE' , LOCAL_NASCIMENTO = 'REINO UNIDO' , DATA_ANIVERSARIO = '1970-07-30' WHERE ID = 10;

---------------------------------------------------------------------------------------------------------------------------------------------------------

UPDATE DIRETOR SET PRIMEIRO_NOME = 'CHRISTOPHER' , ULTIMO_NOME = 'NOLAN' , LOCAL_NASCIMENTO = 'REINO UNIDO' , DATA_ANIVERSARIO = '1970-07-30' WHERE ID = 1;
UPDATE DIRETOR SET PRIMEIRO_NOME = 'MARTIN' , ULTIMO_NOME = 'CAMPBELL' , LOCAL_NASCIMENTO = 'NOVA ZELANDIA' , DATA_ANIVERSARIO = '1943-08-24' WHERE ID = 2;
UPDATE DIRETOR SET PRIMEIRO_NOME = 'RICHARD' , ULTIMO_NOME = 'MARQUAND' , LOCAL_NASCIMENTO = 'REINO UNIDO' , DATA_ANIVERSARIO = '1937-09-23' WHERE ID = 3;
UPDATE DIRETOR SET PRIMEIRO_NOME = 'STEVEN' , ULTIMO_NOME = 'SPIELBERG' , LOCAL_NASCIMENTO = 'ESTADOS UNIDOS' , DATA_ANIVERSARIO = '1946-10-18' WHERE ID = 4;
UPDATE DIRETOR SET PRIMEIRO_NOME = 'EDWARD' , ULTIMO_NOME = 'ZWICK' , LOCAL_NASCIMENTO = 'ESTADOS UNIDOS' , DATA_ANIVERSARIO = '1952-08-08' WHERE ID = 5;

---------------------------------------------------------------------------------------------------------------------------------------------------------

UPDATE FILME SET TITULO = 'BATMAN BEGINS' , LANCAMENTO = 2005 , AVALIACAO = 8 , DURACAO = 140.00 WHERE ID = 1;
UPDATE FILME SET TITULO = 'BATMAN: O CAVALEIRO DAS TREVAS' , LANCAMENTO = 2008 , AVALIACAO = 9 , DURACAO = 152.00 WHERE ID = 2;
UPDATE FILME SET TITULO = 'A MASCARA DO ZORRO' , LANCAMENTO = 1998 , AVALIACAO = 7 , DURACAO = 137.00 WHERE ID = 3;
UPDATE FILME SET TITULO = 'STAR WARS: O RETORNO DE JEDI' , LANCAMENTO = 1983 , AVALIACAO = 10 , DURACAO = 134.00 WHERE ID = 4;
UPDATE FILME SET TITULO = 'INDIANA JONES E OS CACADORES DA ARCA PERDIDA' , LANCAMENTO = 1981 , AVALIACAO = 10 , DURACAO = 115.00 WHERE ID = 5;
UPDATE FILME SET TITULO = 'A NOVA LEI' , LANCAMENTO = 2002 , AVALIACAO = 9 , DURACAO = 145.00 WHERE ID = 6;
UPDATE FILME SET TITULO = 'INDIANA JONES E A ULTIMA CRUZADA' , LANCAMENTO = 1989 , AVALIACAO = 10 , DURACAO = 126.00 WHERE ID = 7;
UPDATE FILME SET TITULO = 'INDIANA JONES E TEMPLO DA PERDICAO' , LANCAMENTO = 1984 , AVALIACAO = 10 , DURACAO = 118.00 WHERE ID = 8;
UPDATE FILME SET TITULO = 'O ULTIMO SAMURAI' , LANCAMENTO = 2003 , AVALIACAO = 10 , DURACAO = 154.00 WHERE ID = 9;
UPDATE FILME SET TITULO = 'O GRANDE TRUQUE' , LANCAMENTO = 2007 , AVALIACAO = 5 , DURACAO = 130.00 WHERE ID = 10;

---------------------------------------------------------------------------------------------------------------------------------------------------------

UPDATE GENERO SET NOME = 'ACAO E AVENTURA' WHERE ID = 1;
UPDATE GENERO SET NOME = 'FICCAO CIENTIFICA' WHERE ID = 3;
UPDATE GENERO SET NOME = 'POLICIAL' WHERE ID = 2;

---------------------------------------------------------------------------------------------------------------------------------------------------------